<h1>IDEA ...</h1>
<br>
<div>
<select class="form-control" [(ngModel)]="kind">
    <option>action</option>
    <option>annimation</option>
    <option>comedie</option>
    <option>guerre</option>
    <option>horreur</option>
    <option>romance</option>
    <option>sciencefiction</option>
</select>
</div>

<button class="btn btn-primary" (click)="generateScenario()">Generate scenario</button>

<p>
</p>

<div class="card">
<div class="card-body">
    <h5 class="card-title">Generation of Scenario</h5>
    <p class="card-text">{{resultScenario}}</p>
</div>
</div>
<br>
<form>
  <div class="form-row">
    <div class="col-5">
      <label>Title</label>
      <input [(ngModel)]="newIdea.titre" type="email" class="form-control" id="title" name="titre" placeholder="Title" required>
      <!-- <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small> -->
    </div>
    <div class="col-3">
      <label>Gender</label>
      <select [(ngModel)]="newIdea.genre" class="form-control" name="genre" required>
        <option value="comedy">Comedy</option>
        <option value="drama">Drama</option>
        <option value="thriller">Thriller</option>
        <option value="western">Wester</option>
      </select>
    </div>
  </div>
  <br>

  <label>Synopsis</label>
  <div class="form-row" *ngFor="let synop of synopsisList, let i = index">
    <div class="col-5">
      <input [(ngModel)]="synop.synopsis" class="form-control" name="synopsis" [placeholder]="synop.synopsis">
    </div>
    <button *ngIf="!synop.add" type="button" class="btn btn-primary" (click)="addSynopsis(synop)">
      <i class="fa fa-plus"></i>
    </button>
    <button *ngIf="synop.add" type="button" class="btn btn-danger" (click)="removeSynopsis(synop, i)">
      <i class="fa fa-minus"></i>
    </button>
  </div>

  <br>
  <div class="form-row">
    <div class="col-5">
      <div class="form-group">
        <input type="file" class="form-control-file" (change)="changeListener($event)">
      </div>
    </div>
    <div class="col-12">
      <div class="chip" *ngFor="let emo of emotionList, let i = index">
        {{ emo }}
        <i class="fa fa-times" (click)="removeEmotion(i)"></i>
      </div>
    </div>
  </div>

  <label>Keyword</label>
  <div class="form-row">
    <div class="col-5">
      <input [(ngModel)]="newKeyword" class="form-control" name="newKeyword" placeholder="Keyword">
    </div>
    <button type="button" class="btn btn-primary" (click)="addKeyword()">
      <i class="fa fa-plus"></i>
    </button>
    <div class="col-12">
      <br>
      <div class="chip" *ngFor="let key of keywordList, let i = index">
        {{ key.keyword }}
        <i class="fa fa-times" (click)="removeKeyword(key, i)"></i>
      </div>
    </div>
  </div>
  <br>

  <label>Role</label>
  <div class="form-row">
    <div class="col-5">
      <input [(ngModel)]="newRole" class="form-control" name="newRole" placeholder="Role">
    </div>
    <button type="button" class="btn btn-primary" (click)="addRole()">
      <i class="fa fa-plus"></i>
    </button>
    <div class="col-12">
      <br>
      <div class="chip" *ngFor="let r of roleList, let i = index">
        {{ r.role }}
        <i class="fa fa-times" (click)="removeKeyword(r, i)"></i>
      </div>
    </div>
  </div>

  <!-- <div class="form-check">
    <input type="checkbox" class="form-check-input" id="exampleCheck1">
    <label class="form-check-label" for="exampleCheck1">Check me out</label>
  </div> -->
  <br>
  <div class="form-row">
    <button type="button" class="btn btn-primary" (click)="addIdea()">Submit</button>
  </div>
</form>


